Class | Locale::Info::Region
In: | lib/locale/info/region.rb
Parent: | Object

This class models out a region/country from the ISO 3166 standard for region codes. In ISO3166, it’s called “Country” but Ruby/Locale the word “Region” instead.

### Methods

iso_region? new to_s

### Attributes

code | [R] |
name | [R] |

### Public Class methods

new(code, name)

code: | The 2 or 3 digit ISO 3166 region code.
name: | The name of the region.

### Public Instance methods

iso_region?()
to_s()

[Validate]